---
title: font-kerning
slug: Web/CSS/font-kerning
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-kerning</code></strong> CSS property sets the use of the kerning information stored in a font.</p>

<div>{{EmbedInteractiveExample("pages/css/font-kerning.html")}}</div>

<p><dfn>Kerning</dfn> defines how letters are spaced. In <em>well-kerned</em> fonts, this feature makes character spacing more uniform and pleasant to read than it would otherwise be.</p>

<p>In the image below, for instance, the examples on the left do not use kerning, while the ones on the right do:</p>

<p><img alt="Example of font-kerning" src="https://mdn.mozillademos.org/files/8455/font-kerning.png" style="display: block; height: 84px; margin: auto; width: 180px;"></p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>font-kerning</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The browser determines whether font kerning should be used or not. For example, some browsers will disable kerning on small fonts, since applying it could harm the readability of text.</dd>
 <dt><code>normal</code></dt>
 <dd>Font kerning information stored in the font must be applied.</dd>
 <dt><code>none</code></dt>
 <dd>Font kerning information stored in the font is disabled.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Enabling_and_disabling_kerning">Enabling and disabling kerning</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="kern"&gt;&lt;/div&gt;
&lt;div id="nokern"&gt;&lt;/div&gt;
&lt;textarea id="input"&gt;AV T. ij&lt;/textarea&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  font-size: 2rem;
  font-family: serif;
}

#nokern {
  font-kerning: none;
}

#kern {
  font-kerning: normal;
}</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">let input  = document.getElementById('input');
let kern   = document.getElementById('kern');
let nokern = document.getElementById('nokern');

input.addEventListener('keyup', function() {
  kern.textContent = input.value; /* Update content */
  nokern.textContent = input.value;
});

kern.textContent = input.value; /* Initialize content */
nokern.textContent = input.value;
</pre>

<p>{{ EmbedLiveSample('Enabling_and_disabling_kerning') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#propdef-font-kerning', 'font-kerning')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-kerning")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-variant")}}, {{cssxref("font-variant-position")}}, {{cssxref("font-variant-east-asian")}}, {{cssxref("font-variant-caps")}}, {{cssxref("font-variant-ligatures")}}, {{cssxref("font-variant-numeric")}}, {{cssxref("font-variant-alternates")}}, {{cssxref("font-synthesis")}}, {{cssxref("letter-spacing")}}</li>
</ul>
